FXRateInquiry
Request
Path Parameters
sid
string
Required
EVO Cloud assigned store number, unique identifier for store.
Header Parameters
Authorization
string
Required
signature value
Content-type
string
Required
Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.
DateTime
string
Required
The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.
KeyID
string
KeyID is a unique key identifier of up to 32 characters that is generated along with the signature key, and is only mandatory if the store is configured to use multi-level keys instead of just using store-level key.
MsgID
string
Required
An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. EVO Cloud will not validate this value and will echo it back in the response message.
- Usage Instruction
1. Field Type: String(1024)
SignType
string
Required
SHA256, SHA512, HMAC-SHA256, HMAC-SHA512
The method of the message being signed. It can be SHA256, SHA512, HMAC-SHA256 or HMAC-SHA512.
Idempotency-Key
string
Request idempotent identity, no more than 64 characters.
Query Parameters
baseCurrency
string<= 3 characters
Required
Code of currency that converts from
- Value defined
The three-character currency code as defined in ISO-4217. For example : HKD
quoteCurrency
string<= 3 characters
Required
Code of currency that converts to
- Value defined
The three-character currency code as defined in ISO-4217. For example : HKD
Responses
200
GET
/g2/v1/payment/mer/{sid}/FXRateInquiryTry it
Server
https://online-uat.everonet.com
Path Parameters
Header Parameters
Query Parameters
Request Samples
cURL
curl -i -X GET \
'https://online-uat.everonet.com/g2/v1/payment/mer/{sid}/FXRateInquiry?baseCurrency=string"eCurrency=string' \
-H 'Authorization: string' \
-H 'Content-type: application/json' \
-H 'DateTime: string' \
-H 'KeyID: string' \
-H 'MsgID: string' \
-H 'SignType: string' \
-H 'Idempotency-Key: string'JavaScript
const query = new URLSearchParams({
"baseCurrency": "string",
"quoteCurrency": "string"
}).toString()
const sid = 'YOUR_sid_PARAMETER';
fetch(
`https://online-uat.everonet.com/g2/v1/payment/mer/${sid}/FXRateInquiry?${query}`,
{
method: 'get',
headers: {
'Authorization': 'string',
'Content-type': 'application/json',
'DateTime': 'string',
'KeyID': 'string',
'MsgID': 'string',
'SignType': 'string',
'Idempotency-Key': 'string'
}
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/json
json

